gpo.zugaina.org

Search Portage & Overlays:

dev-libs/gecode

Gecode is an environment for developing constraint-based systems and applications

Screenshots

  • gecode-9999
    doc examples gist

    View      Download      Browse     License: MIT   
    Overlay: spike (layman)
  • gecode-4.4.0-r1
    ~amd64 ~x86
    doc examples gist gmp

    View      Download      Browse     License: MIT   
    Overlay: gentoo (distro)
  • gecode-4.4.0
    ~amd64 ~x86
    doc examples gist gmp test

    View      Download      Browse     License: MIT   
    Overlay: gentoo (layman)
  • gecode-4.4.0
    ~amd64 ~x86
    doc examples gist

    View      Download      Browse     License: MIT   
    Overlay: spike (layman)
  • gecode-4.3.3
    ~amd64 ~x86
    doc examples gist

    View      Download      Browse     License: MIT   
    Overlay: spike (layman)
  • gecode-4.3.2
    ~amd64 ~x86
    doc examples gist

    View      Download      Browse     License: MIT   
    Overlay: spike (layman)
  • gecode-4.3.1
    ~amd64 ~x86
    doc examples gist

    View      Download      Browse     License: MIT   
    Overlay: spike (layman)
  • gecode-4.3.0
    ~amd64 ~x86
    doc examples gist

    View      Download      Browse     License: MIT   
    Overlay: spike (layman)
  • gecode-4.2.1
    ~amd64 ~x86
    doc examples gist

    View      Download      Browse     License: MIT   
    Overlay: spike (layman)
  • gecode-4.0.0
    ~amd64 ~x86
    doc examples gist

    View      Download      Browse     License: MIT   
    Overlay: spike (layman)
  • gecode-3.7.3
    ~amd64 ~x86
    doc examples gist

    View      Download      Browse     License: MIT   
    Overlay: gentoo (layman)

ChangeLog

# ChangeLog for dev-libs/gecode
# Copyright 1999-2016 Gentoo Foundation; Distributed under the GPL v2
# (auto-generated from git log)

*gecode-3.7.3 (09 Aug 2015)

09 Aug 2015; Robin H. Johnson <robbat2@gentoo.org> +gecode-3.7.3.ebuild,
+metadata.xml:
proj/gentoo: Initial commit

This commit represents a new era for Gentoo:
Storing the gentoo-x86 tree in Git, as converted from CVS.

This commit is the start of the NEW history.
Any historical data is intended to be grafted onto this point.

Creation process:
1. Take final CVS checkout snapshot
2. Remove ALL ChangeLog* files
3. Transform all Manifests to thin
4. Remove empty Manifests
5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$
5.1. Do not touch files with -kb/-ko keyword flags.

Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration
tests
X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this
project
X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo
developer, wrote Git features for the migration
X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve
cvs2svn
X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts
X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014
work in migration
X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging
X-Thanks: All of other Gentoo developers - many ideas and lots of paint on
the bikeshed

24 Aug 2015; Justin Lecher <jlec@gentoo.org> metadata.xml:
Use https by default

Convert all URLs for sites supporting encrypted connections from http to
https

Signed-off-by: Justin Lecher <jlec@gentoo.org>

24 Aug 2015; Mike Gilbert <floppym@gentoo.org> metadata.xml:
Revert DOCTYPE SYSTEM https changes in metadata.xml

repoman does not yet accept the https version.
This partially reverts eaaface92ee81f30a6ac66fe7acbcc42c00dc450.

Bug: https://bugs.gentoo.org/552720

24 Jan 2016; Michał Górny <mgorny@gentoo.org> metadata.xml:
Unify quoting in metadata.xml files for machine processing

Force unified quoting in all metadata.xml files since lxml does not
preserve original use of single and double quotes. Ensuring unified
quoting before the process allows distinguishing the GLEP 67-related
metadata.xml changes from unrelated quoting changes.

24 Jan 2016; Michał Górny <mgorny@gentoo.org> metadata.xml:
Remove explicit notion of maintainer-needed, for GLEP 67

GLEP 67 removes the explicit notion of maintainer-needed@g.o being used
for packages lacking maintainers, in favor of assuming maintainer-needed
whenever the package has no maintainers.

28 Feb 2016; Ulrich Müller <ulm@gentoo.org> metadata.xml:
metadata.xml: Add maintainer-needed comment to packages without maintainer.

Bug: 575810

*gecode-4.4.0 (01 Aug 2016)

01 Aug 2016; Michael Orlitzky <mjo@gentoo.org> +gecode-4.4.0.ebuild,
metadata.xml:
new version 4.4.0.

This version bump fixes at least two open bugs. The first simply asked
for a version bump, and the second reported a failure when /bin/sh is
dash (now fixed).

Along with the new version, some ebuild cleanup was done. The ebuild
is now EAPI=6, and the "gmp" USE flag was added to control building
with float constraints. Three superfluous runtime dependencies
(transitive through Qt) were removed, and two new build dependencies
needed to generate the documentation were added.

The src_test() phase has been re-enabled with an LD_LIBRARY hack to
make sure that the test suite is run against the just-build libraries.

Gentoo-Bug: 377091
Gentoo-bug: 527526
Gentoo-Bug: 567208

Package-Manager: portage-2.2.28

01 Aug 2016; Michael Orlitzky <mjo@gentoo.org> -gecode-3.7.3.ebuild:
remove old version 3.7.3 to fix QA warnings.

Package-Manager: portage-2.2.28

*gecode-3.7.3 (01 Aug 2016)

01 Aug 2016; Michael Orlitzky <mjo@gentoo.org> +gecode-3.7.3.ebuild:
Revert "dev-libs/gecode: remove old version 3.7.3 to fix QA warnings."

This reverts commit 395d5ea72bceca3087e602683b43e279f5ca0b71. The
dev-ruby/dep_selector package has a dependency on >=gecode3.5.0, but
at the moment it can only be satisfied by gecode-3.x, so we need to
leave v3.7.3 in the tree. There is an upstream pull request (#44) to
support gecode 4.x.

01 Aug 2016; Michael Orlitzky <mjo@gentoo.org> metadata.xml:
fix metadata.xml schema.

In my recent addition of gecode-4.4.0, I made a copy/paste error and
duplicated the <use> element in metadata.xml. Michał's Travis CI
instance caught the error (thanks).

Package-Manager: portage-2.2.28

*gecode-4.4.0-r1 (29 Sep 2016)

29 Sep 2016; Michael Palimaka <kensington@gentoo.org>
+files/gecode-4.4.0-no-examples.patch, +gecode-4.4.0-r1.ebuild:
revision bump fixing numerous QA violations

* Add missing dependencies

* Avoid hard-coded CFLAGS

* Do not install examples to system root

* Install HTML documentation to the correct directory

* Remove unused test USE flag

* Do not allow sci-libs/mpir as a runtime alternative to sci-libs/mpir. This
can only be selected at build time.

* Force building libgecodegist.so against Qt 4 again. Careful consideration
must
be given to reverse dependencies before switching to Qt 5 due to the
potential
for symbol collisions and ABI breakage. Additionally, the existing approach
is not valid because Qt versions are not interchangeable at runtime.

Gentoo-bug: 488150
Gentoo-bug: 595442

Package-Manager: portage-2.3.1

29 Sep 2016; Michael Palimaka <kensington@gentoo.org>
gecode-4.4.0-r1.ebuild:
remove econf options that are automatically added in EAPI 6

Package-Manager: portage-2.3.1